#include<iostream>
#include<cstdio>
#include<algorithm>
#include<cmath>
#include<cstring> 
#include<queue>
#include<stack> 
#include<string.h>
#include<set>
#define ll long long
using namespace std;
int main()
{
	int a,b,c;
	while(~scanf("%d%d%d",&a,&b,&c))
	{
		int flag=0;
		for(int i=1;i<=1000005;i++)
		{
			if((i*a)%b==c%b)
			{
				printf("YES\n");
				flag=1;
				break;
			}
		}
		if(!flag)
		{
			printf("NO\n");
		}
	}
	return 0;
}